import { RESTRICT_ACCESS_LIST } from "@/lib/constants";
import { User } from "revolt-api";
import { Card } from "../ui/card";
import { AlertCircle } from "lucide-react";

export function RestrictedUserCard({ id }: { id: string | null | undefined }) {
  if (!id || !RESTRICT_ACCESS_LIST.includes(id)) return null;

  return (
    <Card
      className="p-2 bg-red-500 text-white flex flex-row gap-2"
    >
      <AlertCircle />
      Destructive actions are disabled for this user
    </Card>
  );
}
